> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run discovery process

> Initiates a discovery process to find insurance coverage for a patient using Front Runner integration.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/clearinghouse/discovery
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/clearinghouse/discovery:
    post:
      tags:
        - Clearinghouse
      summary: Run discovery process
      description: >-
        Initiates a discovery process to find insurance coverage for a patient
        using Front Runner integration.
      parameters:
        - schema:
            type: string
          in: header
          name: Idempotency-Key
          required: false
          description: >-
            A unique identifier for the event. If the same event is sent with
            the same idempotency key, the event will be ignored.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                person:
                  type: object
                  properties:
                    firstName:
                      type: string
                      description: Patient's first name
                    lastName:
                      type: string
                      description: Patient's last name
                    dateOfBirth:
                      type: string
                      description: Patient's date of birth (YYYY-MM-DD)
                    addressLine1:
                      type: string
                      description: Patient's address line 1
                    addressLine2:
                      type: string
                      description: Patient's address line 2
                    city:
                      type: string
                      description: Patient's city
                    state:
                      type: string
                      description: Patient's state
                    zip:
                      type: string
                      description: Patient's ZIP code
                  additionalProperties: false
                dateOfService:
                  type: string
                  description: Date of service (YYYY-MM-DD)
                accountNumber:
                  type: string
                  description: Account number
                serviceCode:
                  type: string
                  description: Service code
                checkDemographics:
                  type: boolean
                  description: Whether to check demographics
                checkCredit:
                  type: boolean
                  description: Whether to check credit
                runBusinessRules:
                  type: boolean
                  description: Whether to run business rules
              required:
                - person
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Discovery process completed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result: {}
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message if discovery process fails.
                required:
                  - error
                additionalProperties: false

````